<?php

namespace FiloBlu\Storelocator\Controller\Adminhtml\Google;

class Index extends \Magento\Backend\App\Action {

    protected $resultRedirect;
    protected $helper = null;

    public function __construct(\Magento\Framework\Controller\ResultFactory $result, \Magento\Backend\Helper\Data $helper) {
        $this->resultRedirect = $result;
        $this->helper = $helper;
    }

    public function execute() {
        $redirectUrl = $this->getRequest()->getParam("state");
        $resultRedirect = $this->resultRedirect->create(\Magento\Framework\Controller\ResultFactory::TYPE_REDIRECT);
        $resultRedirect->setUrl($redirectUrl);

        return $resultRedirect;
    }

    /**
     * Is the user allowed to view the store grid.
     *
     * @return bool
     */
    protected function _isAllowed() {
        return true;
    }

}
